# $Revision: 1.5 $, $Date: 2011/06/16 13:30:22 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make check"
#
Summary:	Google C++ testing framework
Summary(pl.UTF-8):	Szkielet testów w C++ stworzony przez Google
Name:		gtest
Version:	1.6.0
Release:	1
License:	BSD
Group:		Development/Tools
#Source0Download: http://code.google.com/p/googletest/downloads/list
Source0:	http://googletest.googlecode.com/files/%{name}-%{version}.zip
# Source0-md5:	4577b49f2973c90bf9ba69aa8166b786
Patch0:		%{name}-install.patch
Patch1:		%{name}-link.patch
URL:		http://code.google.com/p/googletest/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	python >= 2.3
BuildRequires:	python-modules >= 2.3
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Google's framework for writing C++ tests on a variety of platforms
(GNU/Linux, Mac OS X, Windows, Windows CE, and Symbian). Based on the
xUnit architecture. Supports automatic test discovery, a rich set of
assertions, user-defined assertions, death tests, fatal and non-fatal
failures, various options for running the tests, and XML test report
generation.

%description -l pl.UTF-8
Stworzony przez Google szkielet do pisania testów w C++ na różnych
platformach (GNU/Linux, Mac OS X, Windows, Windows CE, Symbian). Jest
oparty na architekturze xUnit. Obsługuje automatyczne wykrywanie
testów, bogaty zbiór zapewnień, zapewnienia zdefiniowane przez
użytkownika, testy śmierci, niepowodzenia krytyczne i niekrytyczne,
różne opcje uruchamiania testów oraz tworzenie raportów z testów w
XML-u.

%package devel
Summary:	Development files for gtest framework
Summary(pl.UTF-8):	Pliki programistyczne szkieletu gtest
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
This package contains development files for gtest framework.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki programistyczne szkieletu gtest.

%package static
Summary:	Static gtest libraries
Summary(pl.UTF-8):	Statyczne biblioteki gtest
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gtest libraries.

%description static -l pl.UTF-8
Statyczne biblioteki gtest.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Keep a clean copy of samples.
cp -a samples examples

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL="%{__install} -p" \
	DESTDIR=$RPM_BUILD_ROOT

install -Dp scripts/gtest-config $RPM_BUILD_ROOT%{_bindir}/gtest-config

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES CONTRIBUTORS COPYING README
%attr(755,root,root) %{_libdir}/libgtest.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtest.so.0
%attr(755,root,root) %{_libdir}/libgtest_main.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtest_main.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gtest-config
%attr(755,root,root) %{_libdir}/libgtest.so
%attr(755,root,root) %{_libdir}/libgtest_main.so
%{_libdir}/libgtest.la
%{_libdir}/libgtest_main.la
%{_includedir}/gtest
%{_aclocaldir}/gtest.m4
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtest.a
%{_libdir}/libgtest_main.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtest.spec,v $
Revision 1.5  2011/06/16 13:30:22  qboosh
- updated to 1.6.0
- pl
- added install patch to restore install target, link patch to fix linking with libpthread
- unfedorized (build static libs, package .la as there is no pkg-config support)

Revision 1.4  2010/05/14 22:54:31  sparky
- BR: autoconf, automake, libstdc++-devel, python, python-modules

Revision 1.3  2010/04/23 16:31:23  glen
- up to 1.5.0
- regenerate libtool to use our patched libtool for libs older for --as-needed (thx sparky)

Revision 1.2  2010/04/22 19:32:21  glen
- disable tests (they fail)
- samples to examples dir
- note about libtool hacking

Revision 1.1  2010/04/22 19:28:00  glen
- new, based on fc repo
